[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomMemo.UTF8KeyPress

Implements the handler for UTF8 key press events in the control.

## Declaration

Source position: stdctrls.pp line 931

`protected procedure TCustomMemo.UTF8KeyPress(`
`var UTF8Key: TUTF8Char`
`); override;`

## Arguments

`UTF8Key` |  | Key examined in the method.

## Description

UTF8KeyPress is an overridden method in TCustomMemo which implements the handler for UTF-8-encoded key press events in the control.

UTF8KeyPress calls the inherited method on entry to signal the OnUTF8KeyPress event handler (when assigned). It ensures that a Carriage Return (decimal character 13) key is handled using the setting specified in the WantReturns property. When WantReturns is set to False, the value in UTF8Key is set to an empty string ('') to discard the character.

## See also

TWinControl.UTF8KeyPress |  | Signals the OnUTF8KeyPress event handler (when assigned).